Installed wrong IOS, homebrew messed up

Discussion in 'Wii - Hacking' started by hnnng, Nov 30, 2010.

  1. hnnng
    OP

    hnnng Newbie

    Newcomer
    4
    0
    Nov 30, 2010
    United States
    So I accidentally installed IOS249.wad instead of cIOS249[57]-v20 trying to get Black Ops to work.

    Now, I can't access USB Loader or most of my apps without an Exception (DSI) Detected stack error occurring.

    I tried uninstalling IOS249.WAD, but of course I got this:

    [+] Opening “IOS249.WAD”, please wait… OK!

    [+] Uninstalling WAD, please wait…
    >> Deleting tickets… ERROR! (ret - -4100)
    >> Deleting title contents… ERROR! (ret - -1017)
    >> Deleting title… ERROR! (ret - -1017)

    Press any button to continue…

    I then looked at my current IOS' in MMM, and it said I don't even have IOS249 installed.

    Am I just going to have to do a clean wipe of my Wii?

    Thanks.
     
  2. .Chris

    .Chris Clueless

    Member
    2,190
    56
    Feb 20, 2009
    United States
    United States
    I dont know, but have you tried "Any Title Deleter"?
     
  3. thesund0g

    thesund0g GBAtemp Fan

    Member
    452
    1
    Aug 6, 2009
    The Boonies
    Umm, did you try running the cIOS installer? Get the actual installer, not some shady unidentifiable .wad, and try again.
     
  4. hnnng
    OP

    hnnng Newbie

    Newcomer
    4
    0
    Nov 30, 2010
    United States
    I have tried, but I got that "Informing Wii that I am God -Error!" message.
     
  5. Hielkenator

    Hielkenator GBAtemp Psycho!

    Member
    4,219
    385
    Feb 7, 2010
    Netherlands
    Seems to me you don't have trucha or using the wrong ios to install things.
     
  6. C.S.I.

    C.S.I. GBAtemp Fan

    Member
    410
    0
    Mar 8, 2010
    Down under
    Make sure when you are trying to install the new WAD/cIOS, that you tell MMM to use IOS36 or 236 (or other trucha patched IOS).

    I wonder whether you are trying to use 249 to delete/overwrite 249??
     
  7. hnnng
    OP

    hnnng Newbie

    Newcomer
    4
    0
    Nov 30, 2010
    United States
    I was using IOS36 to install the new WADs.


    I am trying to delete 249.
     
  8. Crass

    Crass Rock me Dr. Zaius

    Member
    998
    124
    Nov 3, 2006
    United States
    Oregon
    Why delete it? Seriously, what is the reasoning behind this deicision if any?

    Just install the proper cios249 and it will overwrite whatever crap you managed to retardly install in the first place.
     
  9. thesund0g

    thesund0g GBAtemp Fan

    Member
    452
    1
    Aug 6, 2009
    The Boonies
    He did try that. Read closer.


    OP: What IOS did you use when you tried the proper rev20 installer? Can you please post a Syscheck report, too?
     
  10. hnnng
    OP

    hnnng Newbie

    Newcomer
    4
    0
    Nov 30, 2010
    United States
    IOS36. The default one. I will post a Syscheck report right when I get home tomorrow.
     
  11. ocdetective

    ocdetective GBAtemp Advanced Fan

    Member
    601
    0
    Mar 19, 2008
    Malaysia
    If you cant work it out, you could always still just use the installer but install it to slot 250 instead. Of course you would need to change the setup in your loader so that it loaded 250 and not 249.
     
  12. Crass

    Crass Rock me Dr. Zaius

    Member
    998
    124
    Nov 3, 2006
    United States
    Oregon
    Yes I did read that, but my question still stands. Why try to delete it? instead of trying to fix the problem. Maybe his Wii isn't connected to the internet and he doesn't have ios57 or whatever is required on the root of his SD card. Either way there is no point in deleting any of the IOSs.
     
  13. Hielkenator

    Hielkenator GBAtemp Psycho!

    Member
    4,219
    385
    Feb 7, 2010
    Netherlands
    You get the errors because you haven'tgot 249 installed. And what you don't have you cannot uninstall, simply said.

    You tried to install using ios 36. This resuted in an erro because your io36 is'nt trucha patched.
    For the last time, Run the ios 236 installer from your homebrew channel.
    ( look for it in MODmii, or search google. )

    after that , run your CIOSXrev20b installer.Choose ios 236 to use, when installer your cios slot 249 base 57.

    Really it's very ,very very easy to do.
     
  14. qwertymodo

    qwertymodo GBAtemp Advanced Fan

    Member
    817
    117
    Feb 1, 2010
    United States
    I've found that after updating to 4.2/4.3, I needed to delete my stubbed cIOSes before I could successfully reinstall them. I've also had friends that for some reason I couldn't install a custom channel because it wouldn't let me overwrite the old one with the same title ID (trying to update a forwarder with an IOS58/USB2.0 compatible one), but after deleting the channel with ATD I could install it just fine. There's no problem deleting a cIOS, and it might help.
     
  15. grnorris

    grnorris Advanced Member

    Newcomer
    61
    0
    Oct 11, 2010
    United States
    It doesn't look like the poster has tried this yet and it's exactly what I would suggest. Most probably you're trying to use IOS36 without the Trucha bug which is the same as using any IOS without the Trucha bug. It simply won't work. I suggest downloading the latest IOS236 installer (it says it's a beta but, it's actually proved a lot more stable than the previous version for me (I don't have home internet)). Obviously enough if you don't have internet on your Wii you'll also need another file to use the installer properly (I believe it's the Trucha'd version of IOS36 which it then installs into slot 236).
     
  16. thesund0g

    thesund0g GBAtemp Fan

    Member
    452
    1
    Aug 6, 2009
    The Boonies
    I've only tried using the IOS 236 installer once; I've used MMM to do it semi-manually every other time. Does it still have the same annoying "ur a pirate" behavior, or am I thinking about something else?
     
  17. Hielkenator

    Hielkenator GBAtemp Psycho!

    Member
    4,219
    385
    Feb 7, 2010
    Netherlands
    Hmm, I have no cleu what you are saying. ios236 is just a trucha patched base ios 36 installer. It has nothing to do with pirating.
    It lets you install other CIOS though...